diff -ru tktable_orig/generic/tkTable.c tktable/generic/tkTable.c
--- tktable_orig/generic/tkTable.c	2010-08-18 09:02:04.000000000 -0700
+++ tktable/generic/tkTable.c	2023-06-02 03:01:41.013560400 -0700
@@ -4033,9 +4033,8 @@
 #ifdef MAC_TCL
 #pragma export on
 #endif
-EXTERN int
-Tktable_Init(interp)
-     Tcl_Interp *interp;
+int
+Tktable_Init(Tcl_Interp *interp)
 {
     /* This defines the static chars tkTable(Safe)InitScript */
 #include "tkTableInitScript.h"
@@ -4078,9 +4077,8 @@
 	    tkTableSafeInitScript : tkTableInitScript);
 }
 
-EXTERN int
-Tktable_SafeInit(interp)
-     Tcl_Interp *interp;
+int
+Tktable_SafeInit(Tcl_Interp *interp)
 {
     return Tktable_Init(interp);
 }
diff -ru tktable_orig/generic/tkTable.h tktable/generic/tkTable.h
--- tktable_orig/generic/tkTable.h	2010-08-18 09:02:04.000000000 -0700
+++ tktable/generic/tkTable.h	2023-06-02 03:01:02.518840000 -0700
@@ -526,7 +526,8 @@
 extern int	TableOptionBdSet(ClientData clientData,
 			Tcl_Interp *interp, Tk_Window tkwin,
 			CONST84 char *value, char *widgRec, int offset);
-extern char *	TableOptionBdGet(ClientData clientData,
+extern
+const char *	TableOptionBdGet(ClientData clientData,
 			Tk_Window tkwin, char *widgRec, int offset,
 			Tcl_FreeProc **freeProcPtr);
 extern int	TableTagConfigureBd(Table *tablePtr,
@@ -535,7 +536,8 @@
 			Tcl_Interp *interp,
 			Tk_Window unused, CONST84 char *value,
 			char *widgRec, int offset);
-extern char *	Cmd_OptionGet(ClientData clientData,
+extern
+const char *	Cmd_OptionGet(ClientData clientData,
 			Tk_Window unused, char *widgRec,
 			int offset, Tcl_FreeProc **freeProcPtr);
 
diff -ru tktable_orig/generic/tkTableTag.c tktable/generic/tkTableTag.c
--- tktable_orig/generic/tkTableTag.c	2010-08-18 09:02:04.000000000 -0700
+++ tktable/generic/tkTableTag.c	2023-06-02 03:07:09.352081100 -0700
@@ -22,7 +22,8 @@
 static int	TableOptionReliefSet _ANSI_ARGS_((ClientData clientData,
 			Tcl_Interp *interp, Tk_Window tkwin,
 			CONST84 char *value, char *widgRec, int offset));
-static char *	TableOptionReliefGet _ANSI_ARGS_((ClientData clientData,
+static
+const char *	TableOptionReliefGet _ANSI_ARGS_((ClientData clientData,
 			Tk_Window tkwin, char *widgRec, int offset,
 			Tcl_FreeProc **freeProcPtr));
 
@@ -1340,7 +1341,7 @@
  *----------------------------------------------------------------------
  */
 
-static char *
+static const char *
 TableOptionReliefGet(clientData, tkwin, widgRec, offset, freeProcPtr)
     ClientData clientData;		/* Type of struct being set. */
     Tk_Window tkwin;			/* Window containing canvas widget. */
diff -ru tktable_orig/generic/tkTableUtil.c tktable/generic/tkTableUtil.c
--- tktable_orig/generic/tkTableUtil.c	2010-08-18 09:02:04.000000000 -0700
+++ tktable/generic/tkTableUtil.c	2023-06-02 02:35:26.569881200 -0700
@@ -169,7 +169,7 @@
  *----------------------------------------------------------------------
  */
 
-char *
+const char *
 TableOptionBdGet(clientData, tkwin, widgRec, offset, freeProcPtr)
     ClientData clientData;		/* Type of struct being set. */
     Tk_Window tkwin;			/* Window containing canvas widget. */
@@ -329,7 +329,7 @@
  *----------------------------------------------------------------------
  */
 
-char *
+const char *
 Cmd_OptionGet(ClientData clientData, Tk_Window unused,
 	      char *widgRec, int offset, Tcl_FreeProc **freeProcPtr)
 {
diff -ru tktable_orig/generic/tkTableWin.c tktable/generic/tkTableWin.c
--- tktable_orig/generic/tkTableWin.c	2010-08-18 09:02:04.000000000 -0700
+++ tktable/generic/tkTableWin.c	2023-06-02 03:04:42.090766500 -0700
@@ -17,7 +17,8 @@
 static int	StickyParseProc _ANSI_ARGS_((ClientData clientData,
 			Tcl_Interp *interp, Tk_Window tkwin,
 			CONST84 char *value, char *widgRec, int offset));
-static char *	StickyPrintProc _ANSI_ARGS_((ClientData clientData,
+static
+const char *	StickyPrintProc _ANSI_ARGS_((ClientData clientData,
 			Tk_Window tkwin, char *widgRec, int offset,
 			Tcl_FreeProc **freeProcPtr));
 
@@ -117,7 +118,7 @@
  *
  *----------------------------------------------------------------------
  */
-static char *
+static const char *
 StickyPrintProc(clientData, tkwin, widgRec, offset, freeProcPtr)
     ClientData clientData;		/* Ignored. */
     Tk_Window tkwin;			/* Window for text widget. */
